DELETENUMEXPR(3)

NAME
deleteNumExpr - removes the i-th argument of an operator expression.

SYNOPSYS
#include "logmmm.h"
void deleteNumExpr(expr,i)
chain_list *expr;
int i;

PARAMETERS

expr
    expression

i   index of the argument

DESCRIPTION
deleteNumExpr() removes the i-th argument of expr. As the array structures of C-programming, the index of the first argument is 0.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
chain_list *expr;
expr = createExpr(OR);
addQExpr(expr,createAtom("a"));
addQExpr(expr,createAtom("b"));
deleteNumExpr(expr,1);
displayExpr(expr);
/* it will display
(OR a)
*/
freeExpr(expr);

ERROR
"deleteNumExpr : error - index out of bound"
index i must be included between 0 and lengthExpr(expr)-1.

SEE ALSO
log(1), abl(1), searchNumExpr(3), searchOperExpr(3), equalExpr(3), equalVarExpr(3), lengthExpr(3), profExpr(3), numberAtomExpr(3), numberOccExpr(3).